
set( artdaq_VERSION 0.03.01 )
set( artdaq_UPS_VERSION v0_03_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach(comp)
endmacro()

####################################################################################

find_library( ARTDAQ_ARTMODULES NAMES artdaq_ArtModules PATHS $ENV{ARTDAQ_LIB} )
find_library( ARTDAQ_UTILITIES NAMES artdaq_Utilities PATHS $ENV{ARTDAQ_LIB} )
find_library( ARTDAQ_DAQRATE   NAMES artdaq_DAQrate   PATHS $ENV{ARTDAQ_LIB} )
find_library( ARTDAQ_DAQDATA   NAMES artdaq_DAQdata   PATHS $ENV{ARTDAQ_LIB} )

check_required_components(artdaq)
